For the complete documentation index, see llms.txt. This page is also available as Markdown.

InsTable

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getInsTable

post

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
InsTableInsuranceTableintegerRequired
Responses
200

Successful operation.

application/json
post/getInsTable
POST /nexum/627/2022.01/parameter/getInsTable HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InsTableInsuranceTable": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InsTable": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getInsTable"
}

getInsTableSelectFields

post

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
InsTableInsuranceTableintegerOptional
Responses
200

Successful operation.

application/json
post/getInsTableSelectFields
POST /nexum/627/2022.01/parameter/getInsTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "InsTableInsuranceTable": 0,
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
200

Successful operation.

{
  "InsTable": {
    "InsuranceCode": 0,
    "InsuranceTable": 0,
    "ShortDescription": null,
    "TermPremium": []
  },
  "MessageId": "getInsTableSelectFields"
}

getInsTablePagedList

post

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getInsTablePagedList
POST /nexum/627/2022.01/parameter/getInsTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InsTable": [],
  "Token": null,
  "MessageId": "getInsTablePagedList"
}

getInsTableListSelectFields

post

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getInsTableListSelectFields
POST /nexum/627/2022.01/parameter/getInsTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllInsTableFields": true
  }
}
200

Successful operation.

{
  "InsTableList": [],
  "MessageId": "getInsTableListSelectFields"
}

searchInsTableSelectFields

post

Search InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchInsTableSelectFields
POST /nexum/627/2022.01/parameter/searchInsTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllInsTableFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InsTableList": [],
  "MessageId": "searchInsTableSelectFields"
}

getInsTablePagedListSelectFields

post

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getInsTablePagedListSelectFields
POST /nexum/627/2022.01/parameter/getInsTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
200

Successful operation.

{
  "InsTable": [
    {
      "InsuranceCode": 0,
      "InsuranceTable": 0,
      "ShortDescription": null,
      "TermPremium": []
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getInsTablePagedListSelectFields"
}

searchInsTablePagedSelectFields

post

Search InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchInsTablePagedSelectFields
POST /nexum/627/2022.01/parameter/searchInsTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
200

Successful operation.

{
  "InsTable": [
    {
      "InsuranceCode": 0,
      "InsuranceTable": 0,
      "ShortDescription": null,
      "TermPremium": []
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchInsTablePagedSelectFields"
}

updateInsTableByID

post

Update InsTable parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
InsTableInsuranceTableintegerOptional
Responses
200

Successful operation.

application/json
post/updateInsTableByID
POST /nexum/627/2022.01/parameter/updateInsTableByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InsTableInsuranceTable": 1,
  "InsTableUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateInsTableByID"
}

Last updated

Was this helpful?